Gtk2::RadioToolButton(3)

NAME
Gtk2::RadioToolButton - wrapper for GtkRadioToolButton

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::ToolItem
                                +----Gtk2::ToolButton
                                     +----Gtk2::ToggleToolButton
                                          +----Gtk2::RadioToolButton

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Activatable

METHODS

  toolitem = Gtk2::RadioToolButton->new ($member_or_listref=undef)

•   $member_or_listref (scalar)

  toolitem = Gtk2::RadioToolButton->new_from_stock ($member_or_listref, $stock_id)

•   $member_or_listref (scalar)

•   $stock_id (string)

  toolitem = Gtk2::RadioToolButton->new_from_widget ($group)

•   $group (Gtk2::RadioToolButton or undef)

  toolitem = Gtk2::RadioToolButton->new_with_stock_from_widget ($group, $stock_id)

•   $group (Gtk2::Widget or undef)

•   $stock_id (string)

  arrayref = $button->get_group

  $button->set_group ($member_or_listref)

•   $member_or_listref (scalar)

PROPERTIES

'group' (Gtk2::RadioToolButton : default undef : writable / private / static-nick / static-blurb)
    The radio tool button whose group this button belongs to.

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Bin, Gtk2::ToolItem, Gtk2::ToolButton, Gtk2::ToggleToolButton

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.